Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.widget
Class AbstractSlotWidget

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      edu.stanford.smi.protege.widget.AbstractWidget
                          edu.stanford.smi.protege.widget.AbstractSlotWidget

All Implemented Interfaces:
  Plugin, Disposable, Selectable, SlotWidget, Widget, ImageObserver, MenuContainer, Serializable, Accessible

Direct Known Subclasses:
  AbstractListWidget, AbstractTableWidget, AbstractTreeWidget, CheckBoxWidget, ClsFieldWidget, ComboBoxWidget, InstanceFieldWidget, InverseSlotWidget, MaximumCardinalityWidget, MinimumCardinalityWidget, TextComponentWidget, UglySlotWidget, ValueTypeWidget, YellowStickyWidget

    public abstract class AbstractSlotWidget

extends AbstractWidget
implements SlotWidget

Base class for all SlotWidgets.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static String` | `READ_ONLY_WIDGET_PROPERTY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`protected` | `AbstractSlotWidget()`

Method Summary
`void` | `addButtonConfiguration(Action action)`
`void` | `addButtonConfiguration(Action action, boolean defaultState)`
`boolean` | `allowsMultipleValues()`
`protected boolean` | `areDirectValues(Collection values)`
`boolean` | `configure()`
`WidgetConfigurationPanel` | `createWidgetConfigurationPanel()`
`boolean` | `displayButton(Action action)`
`protected boolean` | `displayButton(String propertyName)`
`void` | `dispose()`
`Cls` | `getAssociatedCls()`
`String` | `getButtonDescription(Action action)`
`Cls` | `getCls()`
`ClsWidget` | `getClsWidget()`
`protected String` | `getDefaultLabel()`
`String` | `getDefaultToolTip()`
`protected Action` | `getDoubleClickAction()`
`static Object` | `getFirstItem(Collection c)`
`Instance` | `getInstance()`
`protected String` | `getInvalidValueText(Collection values)`
`String` | `getLabel()`
`protected int` | `getMaximumCardinality()`
`protected int` | `getMinimumCardinality()`
`Dimension` | `getPreferredSize()`
`static int` | `getSelectionBorderSize()`
`Slot` | `getSlot()`
`Collection` | `getValues()`
`protected void` | `handleDoubleClick()`
`protected boolean` | `isDirectValue(Object o)`
`boolean` | `isReadOnlyConfiguredWidget()`
`boolean` | `isSlotAtCls()`
`void` | `loadValues()`
`protected String` | `localizeStandardLabel(String currentLabel, String standardCustomizedLabel, ResourceKey key)`
`void` | `reshape(int x, int y, int w, int h)` Deprecated.
`protected static void` | `setAllowed(AllowableAction action, boolean state)`
`void` | `setAssociatedCls(Cls cls)`
`void` | `setCls(Cls cls)`
`void` | `setDefaultToolTip(String tooltip)`
`void` | `setDoubleClickListener(DoubleClickListener listener)`
`void` | `setEditable(boolean b)`
`void` | `setInstance(Instance newInstance)`
`void` | `setInstanceValues()`
`void` | `setInvalidValueBorder()`
`void` | `setNormalBorder()`
`void` | `setPreferredColumns(int nColumns)`
`void` | `setPreferredRows(int nRows)`
`void` | `setPreferredSize(Dimension size)`
`void` | `setReadOnlyWidget(boolean isReadOnly)`
`void` | `setSelectedBorder()`
`void` | `setSelectedBorder(Color c)`
`void` | `setShowInstanceListener(ShowInstanceListener listener)`
`void` | `setSlot(Slot slot)`
`void` | `setup(WidgetDescriptor descriptor, boolean isDesignTime, Project project, Cls cls, Slot slot)`
`void` | `setValues(Collection values)`
`void` | `setWidgetValues()`
`void` | `showInstance(Instance instance)`
`protected void` | `updateBorder(Collection values)`
`void` | `valueChanged()`

Methods inherited from class edu.stanford.smi.protege.widget.AbstractWidget
`addSelectionListener, beginTransaction, beginTransaction, clearSelection, commitTransaction, endTransaction, equals, getDescriptor, getKnowledgeBase, getProject, getPropertyList, getSelection, getStringProperty, isDesignTime, isRuntime, notifySelectionListeners, paint, removeSelectionListener, rollbackTransaction, setLabel, setPropertyList, setup, show`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.widget.Widget
`getDescriptor, getKnowledgeBase, getProject, initialize, setLabel`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Field Detail

### READ_ONLY_WIDGET_PROPERTY

    public static final String READ_ONLY_WIDGET_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### AbstractSlotWidget

    protected AbstractSlotWidget()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractWidget`

### getDoubleClickAction

    protected Action getDoubleClickAction()

### getSelectionBorderSize

    public static int getSelectionBorderSize()

### handleDoubleClick

    protected void handleDoubleClick()

### setDoubleClickListener

    public void setDoubleClickListener(DoubleClickListener listener)

### setInvalidValueBorder

    public void setInvalidValueBorder()

### setNormalBorder

    public void setNormalBorder()

### setSelectedBorder

    public void setSelectedBorder()

### setSelectedBorder

    public void setSelectedBorder(Color c)

### getDefaultToolTip

    public String getDefaultToolTip()

  Specified by:
    `getDefaultToolTip` in interface `SlotWidget`

### setDefaultToolTip

    public void setDefaultToolTip(String tooltip)

  Specified by:
    `setDefaultToolTip` in interface `SlotWidget`

### updateBorder

    protected void updateBorder(Collection values)

### setShowInstanceListener

    public void setShowInstanceListener(ShowInstanceListener listener)

### showInstance

    public void showInstance(Instance instance)

  Overrides:
    `showInstance` in class `AbstractWidget`

### addButtonConfiguration

    public void addButtonConfiguration(Action action)

### addButtonConfiguration

    public void addButtonConfiguration(Action action,
                                       boolean defaultState)

### allowsMultipleValues

    public boolean allowsMultipleValues()

### configure

    public boolean configure()

  Specified by:
    `configure` in interface `Widget`

### createWidgetConfigurationPanel

    public WidgetConfigurationPanel createWidgetConfigurationPanel()

### displayButton

    protected boolean displayButton(String propertyName)

### displayButton

    public boolean displayButton(Action action)

### getAssociatedCls

    public Cls getAssociatedCls()

  Specified by:
    `getAssociatedCls` in interface `SlotWidget`

### getButtonDescription

    public String getButtonDescription(Action action)

### getCls

    public Cls getCls()

  Specified by:
    `getCls` in interface `SlotWidget`

### getFirstItem

    public static Object getFirstItem(Collection c)

### getInvalidValueText

    protected String getInvalidValueText(Collection values)

### getLabel

    public String getLabel()

  Specified by:
    `getLabel` in interface `Widget`
  Overrides:
    `getLabel` in class `AbstractWidget`

### getDefaultLabel

    protected String getDefaultLabel()

### getMaximumCardinality

    protected int getMaximumCardinality()

### getMinimumCardinality

    protected int getMinimumCardinality()

### getPreferredSize

    public Dimension getPreferredSize()

  Overrides:
    `getPreferredSize` in class `JComponent`

### getSlot

    public Slot getSlot()

  Specified by:
    `getSlot` in interface `SlotWidget`

### isSlotAtCls

    public boolean isSlotAtCls()

### loadValues

    public void loadValues()

### reshape

    @Deprecated
    public void reshape(int x,
                                   int y,
                                   int w,
                                   int h)

  Deprecated.

  Overrides:
    `reshape` in class `JComponent`

### setAllowed

    protected static void setAllowed(AllowableAction action,
                                     boolean state)

### setAssociatedCls

    public void setAssociatedCls(Cls cls)

  Specified by:
    `setAssociatedCls` in interface `SlotWidget`

### setCls

    public void setCls(Cls cls)

### setEditable

    public void setEditable(boolean b)

### setInstance

    public void setInstance(Instance newInstance)

  Specified by:
    `setInstance` in interface `SlotWidget`

### setInstanceValues

    public void setInstanceValues()

### isDirectValue

    protected boolean isDirectValue(Object o)

### areDirectValues

    protected boolean areDirectValues(Collection values)

### setPreferredColumns

    public void setPreferredColumns(int nColumns)

### setPreferredRows

    public void setPreferredRows(int nRows)

### setPreferredSize

    public void setPreferredSize(Dimension size)

  Overrides:
    `setPreferredSize` in class `JComponent`

### setSlot

    public void setSlot(Slot slot)

### valueChanged

    public void valueChanged()

### setup

    public void setup(WidgetDescriptor descriptor,
                      boolean isDesignTime,
                      Project project,
                      Cls cls,
                      Slot slot)

  Specified by:
    `setup` in interface `SlotWidget`

### setWidgetValues

    public void setWidgetValues()

### getInstance

    public Instance getInstance()

  Specified by:
    `getInstance` in interface `SlotWidget`

### setValues

    public void setValues(Collection values)

### getValues

    public Collection getValues()

### getClsWidget

    public ClsWidget getClsWidget()

### localizeStandardLabel

    protected String localizeStandardLabel(String currentLabel,
                                           String standardCustomizedLabel,
                                           ResourceKey key)

### isReadOnlyConfiguredWidget

    public boolean isReadOnlyConfiguredWidget()

### setReadOnlyWidget

    public void setReadOnlyWidget(boolean isReadOnly)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.